This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1015802 - i915 driver crashes at boot
i915 driver crashes at boot
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
19
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-05 12:10 EDT by J. Neto
Modified: 2013-10-09 15:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-09 15:21:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J. Neto 2013-10-05 12:10:15 EDT
Description of problem:
i915 driver crashes at boot. System is unbootable - even in recovery mode. Fallback to dracut rescue mode.

Version-Release number of selected component (if applicable):??


How reproducible: Always


Steps to Reproduce:
1. Select any fedora entry in grub
2. Wait a minute
3. Dracut rescue mode

Actual results:
System unbootable

Expected results:
System able to boot normally

Additional info:

[    2.799088] jneto-desktop kernel: [drm:intel_pipe_config_compare] *ERROR* mismatch in gmch_pfit.lvds_border_bits (expected 32768, found 0)
[    2.799089] jneto-desktop kernel: ------------[ cut here ]------------
[    2.799117] jneto-desktop kernel: WARNING: CPU: 0 PID: 83 at drivers/gpu/drm/i915/intel_display.c:8286 check_crtc_state+0x590/0xb30 [i915]()
[    2.799117] jneto-desktop kernel: pipe state doesn't match!
[    2.799122] jneto-desktop kernel: Modules linked in: i915(+) i2c_algo_bit drm_kms_helper drm i2c_core video
[    2.799125] jneto-desktop kernel: CPU: 0 PID: 83 Comm: systemd-udevd Not tainted 3.11.1-200.fc19.i686.PAE #1
[    2.799126] jneto-desktop kernel: Hardware name: POSITIVO POSITIVO MOBILE/H24ZC     , BIOS 200.T02              10/26/2010
[    2.799130] jneto-desktop kernel:  00000000 00000000 f6e0f56c c0992b58 f6e0f5ac f6e0f59c c045492e f862daae
[    2.799133] jneto-desktop kernel:  f6e0f5c8 00000053 f8625578 0000205e f85e0920 f85e0920 f6e1164c f6e11000
[    2.799136] jneto-desktop kernel:  0000000a f6e0f5b4 c0454983 00000009 f6e0f5ac f862daae f6e0f5c8 f6e0f81c
[    2.799137] jneto-desktop kernel: Call Trace:
[    2.799143] jneto-desktop kernel:  [<c0992b58>] dump_stack+0x41/0x52
[    2.799147] jneto-desktop kernel:  [<c045492e>] warn_slowpath_common+0x7e/0xa0
[    2.799168] jneto-desktop kernel:  [<f85e0920>] ? check_crtc_state+0x590/0xb30 [i915]
[    2.799189] jneto-desktop kernel:  [<f85e0920>] ? check_crtc_state+0x590/0xb30 [i915]
[    2.799191] jneto-desktop kernel:  [<c0454983>] warn_slowpath_fmt+0x33/0x40
[    2.799212] jneto-desktop kernel:  [<f85e0920>] check_crtc_state+0x590/0xb30 [i915]
[    2.799236] jneto-desktop kernel:  [<f85eae13>] intel_modeset_check_state+0x2a3/0x760 [i915]
[    2.799258] jneto-desktop kernel:  [<f85eb360>] intel_set_mode+0x30/0x40 [i915]
[    2.799279] jneto-desktop kernel:  [<f85ebb5c>] intel_crtc_set_config+0x6fc/0x8f0 [i915]
[    2.799293] jneto-desktop kernel:  [<f81d4f2b>] drm_mode_set_config_internal+0x4b/0xc0 [drm]
[    2.799298] jneto-desktop kernel:  [<f81832dd>] drm_fb_helper_set_par+0x4d/0xb0 [drm_kms_helper]
[    2.799301] jneto-desktop kernel:  [<c06df712>] fbcon_init+0x482/0x4d0
[    2.799304] jneto-desktop kernel:  [<c074a31e>] visual_init+0x9e/0x100
[    2.799306] jneto-desktop kernel:  [<c074c6ca>] do_bind_con_driver+0x10a/0x2c0
[    2.799309] jneto-desktop kernel:  [<c05bdd4b>] ? sysfs_create_file+0x2b/0x30
[    2.799311] jneto-desktop kernel:  [<c074cd8d>] do_take_over_console+0xfd/0x190
[    2.799315] jneto-desktop kernel:  [<c06db1df>] do_fbcon_takeover+0x5f/0xc0
[    2.799317] jneto-desktop kernel:  [<c06e013f>] fbcon_event_notify+0x59f/0x6b0
[    2.799319] jneto-desktop kernel:  [<c05bdcfc>] ? sysfs_add_file_mode+0x7c/0xa0
[    2.799321] jneto-desktop kernel:  [<c099c361>] notifier_call_chain+0x41/0x60
[    2.799324] jneto-desktop kernel:  [<c0476b2b>] __blocking_notifier_call_chain+0x3b/0x60
[    2.799326] jneto-desktop kernel:  [<c0476b6f>] blocking_notifier_call_chain+0x1f/0x30
[    2.799327] jneto-desktop kernel:  [<c06d0956>] fb_notifier_call_chain+0x16/0x20
[    2.799329] jneto-desktop kernel:  [<c06d2363>] register_framebuffer+0x1b3/0x2e0
[    2.799333] jneto-desktop kernel:  [<f8182fd4>] drm_fb_helper_initial_config+0x2d4/0x480 [drm_kms_helper]
[    2.799350] jneto-desktop kernel:  [<f85bb27f>] ? i915_write32+0x9f/0x150 [i915]
[    2.799367] jneto-desktop kernel:  [<f85bad32>] ? i915_read32+0x52/0x130 [i915]
[    2.799394] jneto-desktop kernel:  [<f860a9fe>] intel_fbdev_initial_config+0x1e/0x20 [i915]
[    2.799411] jneto-desktop kernel:  [<f85bedaa>] i915_driver_load+0xd2a/0xd60 [i915]
[    2.799427] jneto-desktop kernel:  [<f85bbe00>] ? i915_switcheroo_set_state+0xa0/0xa0 [i915]
[    2.799439] jneto-desktop kernel:  [<f81d12c3>] drm_get_pci_dev+0x133/0x240 [drm]
[    2.799456] jneto-desktop kernel:  [<f85ba69b>] i915_pci_probe+0x2b/0x60 [i915]
[    2.799458] jneto-desktop kernel:  [<c06b7e0f>] pci_device_probe+0x6f/0xb0
[    2.799462] jneto-desktop kernel:  [<c07769e9>] driver_probe_device+0x79/0x360
[    2.799463] jneto-desktop kernel:  [<c06b7d5e>] ? pci_match_device+0x9e/0xb0
[    2.799465] jneto-desktop kernel:  [<c0776d81>] __driver_attach+0x71/0x80
[    2.799467] jneto-desktop kernel:  [<c0776d10>] ? __device_attach+0x40/0x40
[    2.799468] jneto-desktop kernel:  [<c0774e27>] bus_for_each_dev+0x47/0x80
[    2.799470] jneto-desktop kernel:  [<c07764ee>] driver_attach+0x1e/0x20
[    2.799472] jneto-desktop kernel:  [<c0776d10>] ? __device_attach+0x40/0x40
[    2.799473] jneto-desktop kernel:  [<c0776127>] bus_add_driver+0x1c7/0x280
[    2.799475] jneto-desktop kernel:  [<c06b7a00>] ? pci_pm_suspend+0x120/0x120
[    2.799476] jneto-desktop kernel:  [<c06b7a00>] ? pci_pm_suspend+0x120/0x120
[    2.799478] jneto-desktop kernel:  [<c077733a>] driver_register+0x6a/0x130
[    2.799481] jneto-desktop kernel:  [<c0448860>] ? __set_pmd_pte+0xa0/0xa0
[    2.799483] jneto-desktop kernel:  [<c06b6d12>] __pci_register_driver+0x32/0x40
[    2.799492] jneto-desktop kernel:  [<f81d14c5>] drm_pci_init+0xf5/0x100 [drm]
[    2.799494] jneto-desktop kernel:  [<f7e64000>] ? 0xf7e63fff
[    2.799510] jneto-desktop kernel:  [<f7e6405e>] i915_init+0x5e/0x60 [i915]
[    2.799513] jneto-desktop kernel:  [<c04020ca>] do_one_initcall+0xca/0x190
[    2.799516] jneto-desktop kernel:  [<c04df1c8>] ? tracepoint_module_notify+0x118/0x160
[    2.799517] jneto-desktop kernel:  [<f7e64000>] ? 0xf7e63fff
[    2.799520] jneto-desktop kernel:  [<c0449e3f>] ? set_memory_nx+0x5f/0x70
[    2.799522] jneto-desktop kernel:  [<c0990354>] ? set_section_ro_nx+0x54/0x59
[    2.799525] jneto-desktop kernel:  [<c04b243a>] load_module+0x1c1a/0x2320
[    2.799528] jneto-desktop kernel:  [<c04b2ca5>] SyS_finit_module+0x75/0xc0
[    2.799532] jneto-desktop kernel:  [<c0527cdb>] ? vm_mmap_pgoff+0x7b/0xa0
[    2.799535] jneto-desktop kernel:  [<c099fd0d>] sysenter_do_call+0x12/0x28
[    2.799536] jneto-desktop kernel: ---[ end trace 32539a60c993aadd ]---
[    2.825044] jneto-desktop kernel: Console: switching to colour frame buffer device 170x48
[    2.912170] jneto-desktop kernel: i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[    2.912171] jneto-desktop kernel: i915 0000:00:02.0: registered panic notifier
Comment 1 J. Neto 2013-10-07 13:58:23 EDT
Sorry. The boot problem wasn't i915 fault. The driver crash was resolved by a kernel update. Sorry for the noise.

The faulty kernel + driver was:
kernel-PAE-3.11.2-201.fc19.i686
xorg-x11-drv-intel-2.21.12-2.fc19.i686
Comment 2 Adam Jackson 2013-10-09 15:21:51 EDT
Closing per comment #1.

Note You need to log in before you can comment on or make changes to this bug.